<div class="wrapper-outer">
  <div class="container">
    <div class="row">
      <div class="col-sm-12">
        <div class="cont-login">
          <!-- <div class="form-group text-right"><a href="#"><img =src"assets/images/add-btn.png" alt=""></a></div> -->
          <div class="job-post-list">
            <ul>
                <li *ngIf="!getJobLocation"><a [routerLink]="['/employer/job', jobUrlType[0], 'location']" >Job Location</a></li>
                <li *ngIf="getJobLocation"><a [routerLink]="['/employer/job', jobUrlType[0], 'location']" ><strong>Job Location</strong></a></li>

              <li *ngIf="!getJobDetails"><a [routerLink]="['/employer/job', jobUrlType[0], 'details']">Job Details</a></li>
              <li *ngIf="getJobDetails"><a [routerLink]="['/employer/job', jobUrlType[0], 'details']"><strong>Job Details</strong></a></li>

              <!-- <li *ngIf="!getSkillDetails"><a [routerLink]="['/employer/job', jobUrlType[0], 'skills']">Skills</a></li>
              <li *ngIf="getSkillDetails"><a [routerLink]="['/employer/job', jobUrlType[0], 'skills']"><strong>Skills</strong> </a></li> -->

              <li *ngIf="!getTimeDetails"><a [routerLink]="['/employer/job', jobUrlType[0], 'time']">Date and Time</a></li>
              <li *ngIf="getTimeDetails"><a [routerLink]="['/employer/job', jobUrlType[0], 'time']"><strong> Date and Time</strong> </a></li>

              <li *ngIf="!getUploadedFile"><a [routerLink]="['/employer/job', jobUrlType[0], 'upload-file']">Upload File</a></li>
              <li *ngIf="getUploadedFile"><a [routerLink]="['/employer/job', jobUrlType[0], 'upload-file']"><strong>Upload File</strong> </a></li>

              <li *ngIf="!getPaymentDetails"><a [routerLink]="['/employer/job', jobUrlType[0], 'payment-breakdown']">Payment Breakdown</a></li>
              <li *ngIf="getPaymentDetails"><a [routerLink]="['/employer/job', jobUrlType[0], 'payment-breakdown']"><strong> Payment Breakdown</strong></a></li>

            </ul>
          </div>
          <!-- *ngIf="saveCurrentJob" (click)="openTemplatePermissionModal(templateSavePermission)" -->
          <div class="form-group" *ngIf="saveCurrentJob">
            <label > <input type="checkbox" [formControl]="saveTemplateForm" (change)="openTemplatePermissionModal($event,templateSavePermission)"> Save
              Template</label>
              <!-- <label *ngIf="isSavedTemplate">saved template</label> -->
          </div> 

          <div class="form-group text-center">
            <!-- [disabled]="!saveTemplateForm.valid" -->
            <!-- [disabled]="!proceedToSummary" -->
            <input type="submit" [disabled]="!saveCurrentJob" value="Continue" class="btn" (click)="saveAndProceedToSummary()">
          </div>
          <!-- <h4 *ngIf="allJobsPostedList.length && !isApiEdit ">Saved Roles:</h4>
          <div *ngFor="let list of allJobsPostedList;let i = index;" class="role-wrapper">
            <div *ngIf="!isApiEdit">
              <div>
                <div class="role-rt">
                    <a href="javascript:void(0)" (click)="editJobs(i)"> <i> <img src="assets/images/ic-edit-action.png"
                          alt=""></i></a>
                    <a href="javascript:void(0)" (click)="deleteJobs(i)"> <i><img src="assets/images/trash-ic.png"
                          alt=""></i> </a>
                  </div>    
            <div class="saved-role shadow-box"  *ngFor="let role of list.jobRole;let i = index;" >
              <div class="role-lt">{{role.jobRoleName}} </div>
            </div>
          </div>   
          </div>
          </div> -->
          <div class="form-group text-right">
            <!-- [disabled]="!proceedToSummary" -->
            <!-- <a *ngIf="proceedToSummary && !isApiEdit " (click)="saveAndProceedToSummary()"><img src="assets/images/rt-arw-gradient.png"
                alt=""></a> -->
            <!-- <a routerLink="/employer/job/job-summary" ><img
                src="assets/images/rt-arw-gradient.png" alt=""></a> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<router-outlet></router-outlet>


<ng-template #templateSavePermission>
  <div class="modal-header">
    <h4 class="modal-title "> Are you sure want to save this as a template? </h4>
  </div>
  <div class="modal-body">
    <div class="btn-set">
      <a href="javascript:void(0);" (click)="openTemplateNameModal(templateNameModal)" class="btn border"
        style="margin: 5px ">Yes</a>
      <a href="javascript:void(0);" (click)="backtoUncheckTemplateSaveCheckbox()" class="btn border"
        style="margin:5px">No</a>
    </div>

  </div>
  <!-- <div class="modal-footer">
    <a href="javascript:void(0);" (click)="modalRef.hide()">Close</a>
  </div> -->
</ng-template> 
<ng-template #templateNameModal>
  <div class="modal-header">
    <h4 class="modal-title "> Template Name </h4>
  </div>
  <div class="modal-body">
    <form>

      <div class="row">
        <div class="col-4"><label>Name</label></div>
        <div class="col-8">
          <input type="text" name="templatename" [(ngModel)]="templateName" [formControl]="templateNameForm" class="form-control" placeholder="Please enter a template name">
        </div>
      </div>
     
      <div class="row"> 
        <div class="col-12">
            <input type="button" (click)="saveJobAsTemplate()" [disabled]="!templateNameForm.valid" value="Save" class="btn border">
          <!-- <a [disabled]="!templateNameForm.valid" href="javascript:void(0);" class="btn border"
          style="margin: 5px ">Save</a></div> -->
        </div>
      </div>
      
    </form>
  </div>
  <!-- <div class="modal-footer">
    <a href="javascript:void(0);" (click)="modalRef.hide()">Close</a>
  </div> -->
</ng-template>
